List available simulation scenarios
curl --request GET \
--url https://api.platform.dakota.xyz/sandbox/scenarios \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/sandbox/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/sandbox/scenarios"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/sandbox/scenarios"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"scenarios": [
{
"name": "success_immediate",
"description": "Simulates an immediate successful settlement callback sequence.",
"valid_for": [
"ach_inbound",
"fedwire_inbound"
],
"stateful": false,
"example_webhook_sequence": [
"transaction.created",
"transaction.completed"
]
}
]
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Endpoint only available in sandbox mode",
"instance": "https://api.platform.dakota.xyz/sandbox/scenarios",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Sandbox
List available simulation scenarios
Returns the catalog of all scenarios that can be passed as the scenario
field to POST /sandbox/simulate/inbound. Use this to discover valid
scenario names and understand their behaviour without reading source code.
GET
/
sandbox
/
scenarios
List available simulation scenarios
curl --request GET \
--url https://api.platform.dakota.xyz/sandbox/scenarios \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/sandbox/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/sandbox/scenarios"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/sandbox/scenarios"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"scenarios": [
{
"name": "success_immediate",
"description": "Simulates an immediate successful settlement callback sequence.",
"valid_for": [
"ach_inbound",
"fedwire_inbound"
],
"stateful": false,
"example_webhook_sequence": [
"transaction.created",
"transaction.completed"
]
}
]
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Endpoint only available in sandbox mode",
"instance": "https://api.platform.dakota.xyz/sandbox/scenarios",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Was this page helpful?
āI

